This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 442759

Summary: conflict between hal and acpid
Product: [Fedora] Fedora Reporter: Bill Nottingham <notting>
Component: halAssignee: David Zeuthen <davidz>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: dcbw, mclasen, pertusus, pknirsch, rvokal, zprikryl
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-04-21 17:43:14 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 235706    

Description Bill Nottingham 2008-04-16 13:09:15 EDT
Description of problem:

We need to move haldaemon earlier in the startup process so that it is available
for NetworkManager, among other things.

However, once you do this, acpid will fail to start, as hald has grabbed the
socket first. (Yay for crappy kernel interfaces).
Comment 1 Zdenek Prikryl 2008-04-17 03:36:23 EDT
Yes, I know about it. One way is that we add a similar code as HAL has. I mean
something like this: acpid try to connect directly to the kernel interface. If
it isn't possible, then acpid will start listening on some HAL unix socket. HAL
has same behavior. But I don't know if HAL create an unix socket like acpid does.
Comment 2 David Zeuthen 2008-04-17 12:11:34 EDT
Not sure why we want to still ship acpid. 

Either way, hal will try to connect to acpid if the kernel interface can't be
opened. Maybe it requires an extra configure option to hald; you can test this
yourself with f9 builds by shutting down hald, starting acpid and then starting
hald. 

Then do a 'ps aux|grep hald' and the process line will tell if you if the hal
acpi addon listens to acpid. See

http://gitweb.freedesktop.org/?p=hal.git;a=blob;h=de49c80ecd0dfcb3b5b49ed00c857b1f8210c131;hb=72c7ebedcdd5ebcf4784ff406b4ffc98a97cb4d6;f=hald/linux/addons/addon-acpi.c

for details, in particular search for "listening". HTH.
Comment 3 Bill Nottingham 2008-04-17 15:22:48 EDT
Seems the simplest way for now is to move acpid earlier, to match HAL. Done in
1.0.6-7.fc9.
Comment 4 Bill Nottingham 2008-04-21 17:43:14 EDT
Closing.